public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: media-video/totem/, media-video/totem/files/
@ 2019-07-15  0:36 Sobhan Mohammadpour
  0 siblings, 0 replies; 5+ messages in thread
From: Sobhan Mohammadpour @ 2019-07-15  0:36 UTC (permalink / raw
  To: gentoo-commits

commit:     98090576a1567781ee72123a4fde6d4c30cbb5ef
Author:     Sobhan Mohammadpour <sobhan <AT> gentoo <DOT> org>
AuthorDate: Mon Jul 15 00:35:38 2019 +0000
Commit:     Sobhan Mohammadpour <sobhan <AT> gentoo <DOT> org>
CommitDate: Mon Jul 15 00:36:11 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=98090576

media-video/totem: 3.30.0 → 3.32.1

update plugin patch, some of the plugins had been removed.
vala has been removed too

Package-Manager: Portage-2.3.68, Repoman-2.3.16
Signed-off-by: Sobhan Mohammadpour <sobhan <AT> gentoo.org>

 media-video/totem/Manifest                         |   1 +
 .../totem/files/3.32.1-control-plugins.patch       | 124 ++++++++++++++++++++
 media-video/totem/totem-3.32.1.ebuild              | 127 +++++++++++++++++++++
 3 files changed, 252 insertions(+)

diff --git a/media-video/totem/Manifest b/media-video/totem/Manifest
index 7d1227e178c..78d9ede9162 100644
--- a/media-video/totem/Manifest
+++ b/media-video/totem/Manifest
@@ -1 +1,2 @@
 DIST totem-3.30.0.tar.xz 3275852 BLAKE2B 9a5f97229a8aa6f7665c6d3e79dff48cfcce3caeab69510361ef3e9e1a107f7a56c66a5ae89ba3ae0a77d4b0ae8a16ac1f61e77278c82bf768e50009420110d0 SHA512 9d2e0a9e89358eea03404afd9353d18fa23afee7a34612912411ef10d4fb0b26ee02db002e6f8e05f68a333202d419f1e1a35188da23f87189e3093dac655742
+DIST totem-3.32.1.tar.xz 2154892 BLAKE2B ff9ec2facbada0f72ae82bbb35d03e82b574be02d7c1f1d4c4dd3262e2b302d3430ba953cd9f4b4e1d1e5151f9b5987986c7ea387a7f5d6667eb931d41805659 SHA512 31a3e3ac7628b992da3cf99570d013eb8b972e28465db30a9ec68291f8e19ab498d89df6275228367a7e3e43121bcebda2654f2b0461a9d1d561cf46e0029f67

diff --git a/media-video/totem/files/3.32.1-control-plugins.patch b/media-video/totem/files/3.32.1-control-plugins.patch
new file mode 100644
index 00000000000..2abcd75bac5
--- /dev/null
+++ b/media-video/totem/files/3.32.1-control-plugins.patch
@@ -0,0 +1,124 @@
+From 4944c498633f913c07a2680563a64d47c233630d Mon Sep 17 00:00:00 2001
+From: Sobhan Mohammadpour <sobhan@gentoo.org>
+Date: Sun, 14 Jul 2019 20:18:45 -0400
+Subject: [PATCH] 3.32.1 control plugins
+
+update From 5bdfac8a4a34e3edec05439fa3cd5544e0515e24 Mon Sep 17 00:00:00 2001
+From: =?UTF-8?q?R=C3=A9mi=20Cardona?= <remi@gentoo.org>
+Date: Sun, 10 Jun 2018 10:09:16 +0200
+Subject: [PATCH] Allow full control over which plugins are built
+---
+ meson_options.txt       | 24 +++++++++++++++++++++++-
+ src/plugins/meson.build | 30 +++++++++++++++++++++---------
+ 2 files changed, 44 insertions(+), 10 deletions(-)
+
+diff --git a/meson_options.txt b/meson_options.txt
+index e1c5909..085380e 100644
+--- a/meson_options.txt
++++ b/meson_options.txt
+@@ -1,5 +1,27 @@
+ option('enable-easy-codec-installation', type: 'combo', choices: ['yes', 'no', 'auto'], value: 'auto', description: 'Whether to enable easy codec installation support for GStreamer')
+ option('enable-python', type: 'combo', choices: ['yes', 'no', 'auto'], value: 'auto', description: 'Enable python support')
+-option('with-plugins', type: 'combo', choices: ['all', 'none', 'auto'], value: 'auto', description: 'Which Totem plugins to compile (default: auto; "all", "none" and "auto" are valid)')
++option('with-plugins', type: 'array', choices: [
++  'all',
++  'auto',
++  'apple-trailers',
++  'autoload-subtitles',
++  'brasero-disc-recorder',
++  'dbusservice',
++  'im-status',
++  'lirc',
++  'media-player-keys',
++  'opensubtitles',
++  'properties',
++  'pythonconsole',
++  'recent',
++  'rotation',
++  'samplepython',
++  'save-file',
++  'screensaver',
++  'screenshot',
++  'skipto',
++  'variable-rate',
++  'vimeo',
++], value: ['auto'], description: 'Which Totem plugins to compile (default: auto; "all", "none" and "auto" are valid)')
+ option('enable-gtk-doc', type: 'boolean', value: false, description: 'use gtk-doc to build documentation')
+ option('enable-introspection', type: 'combo', choices: ['yes', 'no', 'auto'], value: 'auto', description: 'Enable GObject Introspection (depends on GObject)')
+diff --git a/src/plugins/meson.build b/src/plugins/meson.build
+index 552cc22..cddda3f 100644
+--- a/src/plugins/meson.build
++++ b/src/plugins/meson.build
+@@ -37,8 +37,8 @@ allowed_plugins = [
+ plugins = []
+ 
+ plugins_option = get_option('with-plugins')
+-if plugins_option != 'none'
+-  plugins += [
++if plugins_option.length() > 0
++  foreach plugin: [
+     'apple-trailers',
+     'autoload-subtitles',
+     'im-status',
+@@ -53,15 +53,22 @@ if plugins_option != 'none'
+     'variable-rate',
+     'vimeo'
+   ]
++    if plugins_option.contains('all') or plugins_option.contains('auto') or plugins_option.contains(plugin)
++      plugins += plugin
++    endif
++  endforeach
++  
++  if plugins_option.contains('all') or plugins_option.contains('auto') or plugins_option.contains('lirc')
++    lirc_dep = dependency('lirc', required: false)
++  else
++    lirc_dep = disabler()
++  endif
+ 
+-  plugin_error = (plugins_option == 'all')
+-
+-  lirc_dep = dependency('lirc', required: false)
+   if lirc_dep.found() and cc.has_function('lirc_init', dependencies: lirc_dep) and cc.has_header('lirc/lirc_client.h')
+     plugins += 'lirc'
+   else
+     str = 'you need lirc_client installed for the lirc plugin'
+-    if plugin_error
++    if plugins_option.contains('all') or plugins_option.contains('lirc')
+       error(str)
+     endif
+     message(str)
+@@ -70,23 +77,28 @@ if plugins_option != 'none'
+   libxml_req_version = '>= 2.6.0'
+   libxml_dep = dependency('libxml-2.0', version: libxml_req_version, required: false)
+   gtk_x11_dep = dependency('gtk+-x11-3.0', version: gtk_req_version, required: false)
+-  if libxml_dep.found() and gtk_x11_dep.found()
++  if libxml_dep.found() and gtk_x11_dep.found() and (plugins_option.contains('all') or plugins_option.contains('auto') or plugins_option.contains('brasero-disc-recorder'))
+     plugins += 'brasero-disc-recorder'
+   else
+     str = 'you need libxml-2.0 ' + libxml_req_version + ' and gtk+-x11-3.0 to use the brasero-disc-recorder plugin'
+-    if plugin_error
++    if plugins_option.contains('all') or plugins_option.contains('brasero-disc-recorder')
+       error(str)
+     endif
+     message(str)
+   endif
+ 
+   if have_python
+-    plugins += [
++    foreach plugin: [
+       'dbusservice',
+       'opensubtitles',
+       'pythonconsole',
+       'samplepython'
+     ]
++      if plugins_option.contains('all') or plugins_option.contains('auto') or plugins_option.contains(plugin)
++        plugins += plugin
++      endif
++    endforeach
++
+   endif
+ endif
+ 
+-- 
+2.22.0
+

diff --git a/media-video/totem/totem-3.32.1.ebuild b/media-video/totem/totem-3.32.1.ebuild
new file mode 100644
index 00000000000..1046a2c110e
--- /dev/null
+++ b/media-video/totem/totem-3.32.1.ebuild
@@ -0,0 +1,127 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python{3_5,3_6} )
+PYTHON_REQ_USE="threads"
+
+inherit gnome.org gnome2-utils meson xdg python-single-r1
+
+DESCRIPTION="Media player for GNOME"
+HOMEPAGE="https://wiki.gnome.org/Apps/Videos"
+
+LICENSE="GPL-2+ LGPL-2+"
+SLOT="0"
+IUSE="cdr gtk-doc +introspection lirc nautilus +python test"
+# see bug #359379
+REQUIRED_USE="
+	python? ( introspection ${PYTHON_REQUIRED_USE} )
+"
+
+KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~x86 ~x86-fbsd"
+
+# FIXME:
+# Runtime dependency on gnome-session-2.91
+COMMON_DEPEND="
+	>=dev-libs/glib-2.43.4:2
+	>=x11-libs/gtk+-3.19.4:3[X,introspection?]
+	>=media-libs/gstreamer-1.6.0:1.0
+	>=media-libs/gst-plugins-base-1.6.0:1.0[X,pango]
+	>=media-libs/gst-plugins-good-1.6.0:1.0
+	>=media-libs/grilo-0.3.0:0.3[playlist]
+	>=dev-libs/libpeas-1.1.0[gtk]
+	>=dev-libs/totem-pl-parser-3.10.1:0=[introspection?]
+	>=media-libs/clutter-1.17.3:1.0[gtk]
+	>=media-libs/clutter-gst-2.99.2:3.0
+	>=media-libs/clutter-gtk-1.8.1:1.0
+	gnome-base/gnome-desktop:3=
+	gnome-base/gsettings-desktop-schemas
+	x11-libs/libX11
+	>=x11-libs/cairo-1.14
+	x11-libs/gdk-pixbuf:2
+	introspection? ( >=dev-libs/gobject-introspection-1.54:= )
+
+	cdr? ( >=dev-libs/libxml2-2.6:2 )
+	lirc? ( app-misc/lirc )
+	nautilus? ( >=gnome-base/nautilus-2.91.3 )
+	python? (
+		${PYTHON_DEPS}
+		>=dev-python/pygobject-2.90.3:3[${PYTHON_USEDEP}] )
+"
+RDEPEND="${COMMON_DEPEND}
+	media-plugins/grilo-plugins:0.3
+	media-plugins/gst-plugins-meta:1.0
+	media-plugins/gst-plugins-taglib:1.0
+	x11-themes/adwaita-icon-theme
+	python? (
+		>=dev-libs/libpeas-1.1.0[python,${PYTHON_USEDEP}]
+		dev-python/dbus-python[${PYTHON_USEDEP}] )
+"
+DEPEND="${COMMON_DEPEND}
+	dev-lang/perl
+	app-text/docbook-xml-dtd:4.5
+	gtk-doc? ( >=dev-util/gtk-doc-1.14 )
+	dev-util/glib-utils
+	dev-util/itstool
+	>=sys-devel/gettext-0.19.8
+	virtual/pkgconfig
+	x11-base/xorg-proto
+"
+# perl for pod2man
+# docbook-xml-dtd is needed for user doc
+# Prevent dev-python/pylint dep, bug #482538
+
+PATCHES=(
+	"${FILESDIR}"/${PV}-control-plugins.patch # Do not force all plugins
+	"${FILESDIR}"/3.26-gst-inspect-sandbox.patch # Allow disabling calls to gst-inspect (sandbox issue)
+)
+
+pkg_setup() {
+	use python && python-single-r1_pkg_setup
+}
+
+src_prepare() {
+	xdg_src_prepare
+}
+
+src_configure() {
+	# Disabled: sample-python, zeitgeist-dp
+	# brasero-disc-recorder and gromit require gtk+[X], but totem itself does
+	# for now still too, so no point in optionality based on that yet.
+	local plugins="apple-trailers,autoload-subtitles"
+	plugins+=",im-status,media-player-keys"
+	plugins+=",properties,recent,screensaver,screenshot"
+	plugins+=",skipto,variable-rate,vimeo,rotation"
+	use cdr && plugins+=",brasero-disc-recorder"
+	use lirc && plugins+=",lirc"
+	use nautilus && plugins+=",save-file"
+	use python && plugins+=",dbusservice,pythonconsole,opensubtitles"
+
+	local emesonargs=(
+		-Denable-easy-codec-installation=yes
+		-Denable-python=$(usex python yes no)
+		-Dwith-plugins=${plugins}
+		$(meson_use gtk-doc enable-gtk-doc)
+		-Denable-introspection=$(usex introspection yes no)
+	)
+	meson_src_configure
+}
+
+src_install() {
+	meson_src_install
+	if use python ; then
+		python_optimize "${ED}"usr/$(get_libdir)/totem/plugins/
+	fi
+}
+
+pkg_postinst() {
+	xdg_pkg_postinst
+	gnome2_icon_cache_update
+	gnome2_schemas_update
+}
+
+pkg_postrm() {
+	xdg_pkg_postrm
+	gnome2_icon_cache_update
+	gnome2_schemas_update
+}


^ permalink raw reply related	[flat|nested] 5+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: media-video/totem/, media-video/totem/files/
@ 2019-12-23 22:23 Mart Raudsepp
  0 siblings, 0 replies; 5+ messages in thread
From: Mart Raudsepp @ 2019-12-23 22:23 UTC (permalink / raw
  To: gentoo-commits

commit:     88dc7c59ac02df6243f41be9433bf1e7460e44d8
Author:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
AuthorDate: Mon Dec 23 22:19:04 2019 +0000
Commit:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
CommitDate: Mon Dec 23 22:23:02 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=88dc7c59

media-video/totem: remove old

Package-Manager: Portage-2.3.79, Repoman-2.3.12
Signed-off-by: Mart Raudsepp <leio <AT> gentoo.org>

 media-video/totem/Manifest                         |   1 -
 .../totem/files/3.30.0-control-plugins.patch       | 199 ---------------------
 media-video/totem/files/3.30.0-vala-errormsg.patch |  31 ----
 media-video/totem/metadata.xml                     |   2 -
 media-video/totem/totem-3.30.0.ebuild              | 137 --------------
 5 files changed, 370 deletions(-)

diff --git a/media-video/totem/Manifest b/media-video/totem/Manifest
index 78d9ede9162..b52e07163d5 100644
--- a/media-video/totem/Manifest
+++ b/media-video/totem/Manifest
@@ -1,2 +1 @@
-DIST totem-3.30.0.tar.xz 3275852 BLAKE2B 9a5f97229a8aa6f7665c6d3e79dff48cfcce3caeab69510361ef3e9e1a107f7a56c66a5ae89ba3ae0a77d4b0ae8a16ac1f61e77278c82bf768e50009420110d0 SHA512 9d2e0a9e89358eea03404afd9353d18fa23afee7a34612912411ef10d4fb0b26ee02db002e6f8e05f68a333202d419f1e1a35188da23f87189e3093dac655742
 DIST totem-3.32.1.tar.xz 2154892 BLAKE2B ff9ec2facbada0f72ae82bbb35d03e82b574be02d7c1f1d4c4dd3262e2b302d3430ba953cd9f4b4e1d1e5151f9b5987986c7ea387a7f5d6667eb931d41805659 SHA512 31a3e3ac7628b992da3cf99570d013eb8b972e28465db30a9ec68291f8e19ab498d89df6275228367a7e3e43121bcebda2654f2b0461a9d1d561cf46e0029f67

diff --git a/media-video/totem/files/3.30.0-control-plugins.patch b/media-video/totem/files/3.30.0-control-plugins.patch
deleted file mode 100644
index 4d57ad0971c..00000000000
--- a/media-video/totem/files/3.30.0-control-plugins.patch
+++ /dev/null
@@ -1,199 +0,0 @@
-From 5bdfac8a4a34e3edec05439fa3cd5544e0515e24 Mon Sep 17 00:00:00 2001
-From: =?UTF-8?q?R=C3=A9mi=20Cardona?= <remi@gentoo.org>
-Date: Sun, 10 Jun 2018 10:09:16 +0200
-Subject: [PATCH] Allow full control over which plugins are built
-
----
- meson.build             |  2 +-
- meson_options.txt       | 28 ++++++++++++++++++++-
- src/plugins/meson.build | 56 ++++++++++++++++++++++++++++++-----------
- 3 files changed, 69 insertions(+), 17 deletions(-)
-
-diff --git a/meson.build b/meson.build
-index 9c4797dd..aa91ae10 100644
---- a/meson.build
-+++ b/meson.build
-@@ -3,7 +3,7 @@ project(
-   version: '3.30.0',
-   license: 'GPL2+ with exception',
-   default_options: 'buildtype=debugoptimized',
--  meson_version: '>= 0.43.0'
-+  meson_version: '>= 0.44.0'
- )
- 
- totem_version = meson.project_version()
-diff --git a/meson_options.txt b/meson_options.txt
-index 3b6ff67b..6e056952 100644
---- a/meson_options.txt
-+++ b/meson_options.txt
-@@ -1,7 +1,33 @@
- option('enable-easy-codec-installation', type: 'combo', choices: ['yes', 'no', 'auto'], value: 'auto', description: 'Whether to enable easy codec installation support for GStreamer')
- option('enable-python', type: 'combo', choices: ['yes', 'no', 'auto'], value: 'auto', description: 'Enable python support')
- option('enable-vala', type: 'combo', choices: ['yes', 'no', 'auto'], value: 'auto', description: 'whether Vala plugin support is requested')
--option('with-plugins', type: 'combo', choices: ['all', 'none', 'auto'], value: 'auto', description: 'Which Totem plugins to compile (default: auto; "all", "none" and "auto" are valid)')
-+option('with-plugins', type: 'array', choices: [
-+  'all',
-+  'auto',
-+  'apple-trailers',
-+  'autoload-subtitles',
-+  'brasero-disc-recorder',
-+  'dbusservice',
-+  'gromit',
-+  'im-status',
-+  'lirc',
-+  'media-player-keys',
-+  'ontop',
-+  'opensubtitles',
-+  'properties',
-+  'pythonconsole',
-+  'recent',
-+  'rotation',
-+  'sample-vala',
-+  'samplepython',
-+  'save-file',
-+  'screensaver',
-+  'screenshot',
-+  'skipto',
-+  'variable-rate',
-+  'vimeo',
-+  'zeitgeist-dp'
-+], value: ['auto'], description: 'Which Totem plugins to compile (default: auto; "all", "none" and "auto" are valid)')
- option('enable-nautilus', type: 'combo', choices: ['yes', 'no', 'auto'], value: 'auto', description: 'compile the nautilus plugin')
- option('with-nautilusdir', type: 'string', value: '', description: 'Installation path for Nautilus extension')
- option('enable-gtk-doc', type: 'boolean', value: false, description: 'use gtk-doc to build documentation')
-diff --git a/src/plugins/meson.build b/src/plugins/meson.build
-index 95af6485..289ba811 100644
---- a/src/plugins/meson.build
-+++ b/src/plugins/meson.build
-@@ -41,8 +41,8 @@ allowed_plugins = [
- plugins = []
- 
- plugins_option = get_option('with-plugins')
--if plugins_option != 'none'
--  plugins += [
-+if plugins_option.length() > 0
-+  foreach plugin: [
-     'apple-trailers',
-     'autoload-subtitles',
-     'im-status',
-@@ -56,26 +56,38 @@ if plugins_option != 'none'
-     'variable-rate',
-     'vimeo'
-   ]
-+    if plugins_option.contains('all') or plugins_option.contains('auto') or plugins_option.contains(plugin)
-+      plugins += plugin
-+    endif
-+  endforeach
- 
--  plugin_error = (plugins_option == 'all')
-+  if plugins_option.contains('all') or plugins_option.contains('auto') or plugins_option.contains('gromit')
-+    gdk_targets = gtk_dep.get_pkgconfig_variable('targets')
-+  else
-+    gdk_targets = []
-+  endif
- 
--  gdk_targets = gtk_dep.get_pkgconfig_variable('targets')
-   if gdk_targets.contains('x11')
-     plugins += 'gromit'
-   else
-     str = 'the gromit plugin is not supported on non-X11 targets'
--    if plugin_error
-+    if plugins_option.contains('all') or plugins_option.contains('gromit')
-       error(str)
-     endif
-     message(str)
-   endif
- 
--  lirc_dep = dependency('lirc', required: false)
-+  if plugins_option.contains('all') or plugins_option.contains('auto') or plugins_option.contains('lirc')
-+    lirc_dep = dependency('lirc', required: false)
-+  else
-+    lirc_dep = disabler()
-+  endif
-+
-   if lirc_dep.found() and cc.has_function('lirc_init', dependencies: lirc_dep) and cc.has_header('lirc/lirc_client.h')
-     plugins += 'lirc'
-   else
-     str = 'you need lirc_client installed for the lirc plugin'
--    if plugin_error
-+    if plugins_option.contains('all') or plugins_option.contains('lirc')
-       error(str)
-     endif
-     message(str)
-@@ -84,33 +96,38 @@ if plugins_option != 'none'
-   libxml_req_version = '>= 2.6.0'
-   libxml_dep = dependency('libxml-2.0', version: libxml_req_version, required: false)
-   gtk_x11_dep = dependency('gtk+-x11-3.0', version: gtk_req_version, required: false)
--  if libxml_dep.found() and gtk_x11_dep.found()
-+
-+  if libxml_dep.found() and gtk_x11_dep.found() and (plugins_option.contains('all') or plugins_option.contains('auto') or plugins_option.contains('brasero-disc-recorder'))
-     plugins += 'brasero-disc-recorder'
-   else
-     str = 'you need libxml-2.0 ' + libxml_req_version + ' and gtk+-x11-3.0 to use the brasero-disc-recorder plugin'
--    if plugin_error
-+    if plugins_option.contains('all') or plugins_option.contains('brasero-disc-recorder')
-       error(str)
-     endif
-     message(str)
-   endif
- 
--  if have_nautilus
-+  if have_nautilus and (plugins_option.contains('all') or plugins_option.contains('auto') or plugins_option.contains('save-file'))
-     plugins += 'save-file'
-   else
-     str = 'you need libnautilus-extension to use the save-file plugin'
--    if plugin_error
-+    if plugins_option.contains('all') or plugins_option.contains('save-file')
-       error(str)
-     endif
-     message(str)
-   endif
- 
-   if have_python
--    plugins += [
-+    foreach plugin: [
-       'dbusservice',
-       'opensubtitles',
-       'pythonconsole',
-       'samplepython'
-     ]
-+      if plugins_option.contains('all') or plugins_option.contains('auto') or plugins_option.contains(plugin)
-+        plugins += plugin
-+      endif
-+    endforeach
-   endif
- 
-   if have_vala
-@@ -129,17 +146,26 @@ if plugins_option != 'none'
-       '--pkg=@0@-@1@'.format(totem_gir_ns, totem_api_version)
-     ]
- 
--    plugins += [
-+    foreach plugin: [
-       'rotation',
-       'sample-vala'
-     ]
-+      if plugins_option.contains('all') or plugins_option.contains('auto') or plugins_option.contains(plugin)
-+        plugins += plugin
-+      endif
-+    endforeach
-+
-+    if plugins_option.contains('all') or plugins_option.contains('auto') or plugins_option.contains('zeitgeist-dp')
-+      zeitgeist_dep = dependency('zeitgeist-2.0', version: '>= 0.9.12', required: false)
-+    else
-+      zeitgeist_dep = disabler()
-+    endif
- 
--    zeitgeist_dep = dependency('zeitgeist-2.0', version: '>= 0.9.12', required: false)
-     if zeitgeist_dep.found()
-       plugins += 'zeitgeist-dp'
-     else
-       str = 'you need zeitgeist-2.0 >= 0.9.12 to use the zeitgeist-dp plugin'
--      if plugin_error
-+      if plugins_option.contains('all') or plugins_option.contains('zeitgeist-dp')
-         error(str)
-       endif
-       message(str)
--- 
-2.17.1
-

diff --git a/media-video/totem/files/3.30.0-vala-errormsg.patch b/media-video/totem/files/3.30.0-vala-errormsg.patch
deleted file mode 100644
index 37816784ded..00000000000
--- a/media-video/totem/files/3.30.0-vala-errormsg.patch
+++ /dev/null
@@ -1,31 +0,0 @@
-From 4fba51c82d855426ad73f8215d0ed7bfdfa4fae2 Mon Sep 17 00:00:00 2001
-From: Mart Raudsepp <leio@gentoo.org>
-Date: Sat, 15 Dec 2018 20:50:34 +0200
-Subject: [PATCH] build: Fix error message with -Denable-vala without vala
- found
-
-Fixes
-ERROR:  Unknown variable "vala_options"
-to
-ERROR:  Problem encountered: you need vala >= 0.14.1 installed to use vala plugins
-by correcting a typo.
----
- meson.build | 2 +-
- 1 file changed, 1 insertion(+), 1 deletion(-)
-
-diff --git a/meson.build b/meson.build
-index c0679d25..5647376f 100644
---- a/meson.build
-+++ b/meson.build
-@@ -230,7 +230,7 @@ if vala_option != 'no'
-   endif
- 
-   if not have_vala
--    if vala_options == 'yes' or introspection_option == 'yes'
-+    if vala_option == 'yes' or introspection_option == 'yes'
-       error(str)
-     endif
-     message(str)
--- 
-2.17.0
-

diff --git a/media-video/totem/metadata.xml b/media-video/totem/metadata.xml
index 1daea3f76b2..39dcd376510 100644
--- a/media-video/totem/metadata.xml
+++ b/media-video/totem/metadata.xml
@@ -19,8 +19,6 @@ Totem is movie player for the GNOME desktop. It features a playlist, fullscreen
 	<use>
 		<flag name="lirc">Enable support for controlling Totem with a remote control
 			using <pkg>app-misc/lirc</pkg></flag>
-		<flag name="nautilus">Enable the nautilus extension</flag>
 		<flag name="python">Build <pkg>dev-lang/python</pkg> using plugins (dbusservice for notifications and MPRIS control, interactive python console and opensubtitles lookup)</flag>
-		<flag name="vala">Build the rotation plugin, which allows videos to be rotated if they are in the wrong orientation</flag>
 	</use>
 </pkgmetadata>

diff --git a/media-video/totem/totem-3.30.0.ebuild b/media-video/totem/totem-3.30.0.ebuild
deleted file mode 100644
index 9506455784d..00000000000
--- a/media-video/totem/totem-3.30.0.ebuild
+++ /dev/null
@@ -1,137 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-PYTHON_COMPAT=( python{3_5,3_6} )
-PYTHON_REQ_USE="threads"
-
-inherit gnome.org gnome2-utils meson vala xdg python-single-r1
-
-DESCRIPTION="Media player for GNOME"
-HOMEPAGE="https://wiki.gnome.org/Apps/Videos"
-
-LICENSE="GPL-2+ LGPL-2+"
-SLOT="0"
-IUSE="cdr gtk-doc +introspection lirc nautilus +python test vala"
-RESTRICT="!test? ( test )"
-# see bug #359379
-REQUIRED_USE="
-	python? ( introspection ${PYTHON_REQUIRED_USE} )
-	vala? ( introspection )
-"
-
-KEYWORDS="amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 x86"
-
-# FIXME:
-# Runtime dependency on gnome-session-2.91
-COMMON_DEPEND="
-	>=dev-libs/glib-2.43.4:2
-	>=x11-libs/gtk+-3.19.4:3[X,introspection?]
-	>=media-libs/gstreamer-1.6.0:1.0
-	>=media-libs/gst-plugins-base-1.6.0:1.0[X,pango]
-	>=media-libs/gst-plugins-good-1.6.0:1.0
-	>=media-libs/grilo-0.3.0:0.3[playlist]
-	>=dev-libs/libpeas-1.1.0[gtk]
-	>=dev-libs/totem-pl-parser-3.10.1:0=[introspection?]
-	>=media-libs/clutter-1.17.3:1.0[gtk]
-	>=media-libs/clutter-gst-2.99.2:3.0
-	>=media-libs/clutter-gtk-1.8.1:1.0
-	gnome-base/gnome-desktop:3=
-	gnome-base/gsettings-desktop-schemas
-	x11-libs/libX11
-	>=x11-libs/cairo-1.14
-	x11-libs/gdk-pixbuf:2
-	introspection? ( >=dev-libs/gobject-introspection-1.54:= )
-
-	cdr? ( >=dev-libs/libxml2-2.6:2 )
-	lirc? ( app-misc/lirc )
-	nautilus? ( >=gnome-base/nautilus-2.91.3 )
-	python? (
-		${PYTHON_DEPS}
-		>=dev-python/pygobject-2.90.3:3[${PYTHON_USEDEP}] )
-"
-RDEPEND="${COMMON_DEPEND}
-	media-plugins/grilo-plugins:0.3
-	media-plugins/gst-plugins-meta:1.0
-	media-plugins/gst-plugins-taglib:1.0
-	x11-themes/adwaita-icon-theme
-	python? (
-		>=dev-libs/libpeas-1.1.0[python,${PYTHON_USEDEP}]
-		dev-python/dbus-python[${PYTHON_USEDEP}] )
-"
-DEPEND="${COMMON_DEPEND}
-	dev-lang/perl
-	app-text/docbook-xml-dtd:4.5
-	gtk-doc? ( >=dev-util/gtk-doc-1.14 )
-	dev-util/glib-utils
-	dev-util/itstool
-	>=dev-util/intltool-0.50.1
-	>=sys-devel/gettext-0.19.8
-	virtual/pkgconfig
-	x11-base/xorg-proto
-	vala? ( $(vala_depend) )
-"
-# perl for pod2man
-# docbook-xml-dtd is needed for user doc
-# Prevent dev-python/pylint dep, bug #482538
-
-PATCHES=(
-	"${FILESDIR}"/${PV}-vala-errormsg.patch
-	"${FILESDIR}"/${PV}-control-plugins.patch # Do not force all plugins
-	"${FILESDIR}"/3.26-gst-inspect-sandbox.patch # Allow disabling calls to gst-inspect (sandbox issue)
-)
-
-pkg_setup() {
-	use python && python-single-r1_pkg_setup
-}
-
-src_prepare() {
-	use vala && vala_src_prepare
-	xdg_src_prepare
-}
-
-src_configure() {
-	# Disabled: sample-python, sample-vala, zeitgeist-dp
-	# brasero-disc-recorder and gromit require gtk+[X], but totem itself does
-	# for now still too, so no point in optionality based on that yet.
-	local plugins="apple-trailers,autoload-subtitles"
-	plugins+=",im-status,gromit,media-player-keys,ontop"
-	plugins+=",properties,recent,screensaver,screenshot"
-	plugins+=",skipto,variable-rate,vimeo"
-	use cdr && plugins+=",brasero-disc-recorder"
-	use lirc && plugins+=",lirc"
-	use nautilus && plugins+=",save-file"
-	use python && plugins+=",dbusservice,pythonconsole,opensubtitles"
-	use vala && plugins+=",rotation"
-
-	local emesonargs=(
-		-Denable-easy-codec-installation=yes
-		-Denable-python=$(usex python yes no)
-		-Denable-vala=$(usex vala yes no)
-		-Dwith-plugins=${plugins}
-		-Denable-nautilus=$(usex nautilus yes no)
-		$(meson_use gtk-doc enable-gtk-doc)
-		-Denable-introspection=$(usex introspection yes no)
-		-Dgst-inspect=false
-	)
-	meson_src_configure
-}
-
-src_install() {
-	meson_src_install
-	if use python ; then
-		python_optimize "${ED}"usr/$(get_libdir)/totem/plugins/
-	fi
-}
-
-pkg_postinst() {
-	xdg_pkg_postinst
-	gnome2_icon_cache_update
-	gnome2_schemas_update
-}
-
-pkg_postrm() {
-	xdg_pkg_postrm
-	gnome2_icon_cache_update
-	gnome2_schemas_update
-}


^ permalink raw reply related	[flat|nested] 5+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: media-video/totem/, media-video/totem/files/
@ 2021-04-16 16:58 Matt Turner
  0 siblings, 0 replies; 5+ messages in thread
From: Matt Turner @ 2021-04-16 16:58 UTC (permalink / raw
  To: gentoo-commits

commit:     83e98e024616d8471ddf0a31e27e1ce4744ed584
Author:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Fri Apr 16 16:42:16 2021 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Fri Apr 16 16:48:39 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=83e98e02

media-video/totem: Version bump to 3.38.0

Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 media-video/totem/Manifest                         |   1 +
 .../totem/files/3.38.0-gst-inspect-sandbox.patch   |  42 ++++++++
 media-video/totem/totem-3.38.0.ebuild              | 119 +++++++++++++++++++++
 3 files changed, 162 insertions(+)

diff --git a/media-video/totem/Manifest b/media-video/totem/Manifest
index 5b4ecf3ff76..b2ee154b2b4 100644
--- a/media-video/totem/Manifest
+++ b/media-video/totem/Manifest
@@ -1 +1,2 @@
 DIST totem-3.34.1.tar.xz 2157160 BLAKE2B 9ae9c8f6485c7377af07803c328e8ea3cc6fa80d8e30a7045bd2b50f7bc3d5a12582e5b60d901d22683f89e994c619c26ddb8b0890e343c873d4457fa177786d SHA512 9a3556f5cf522fca29926db185c2e5d25bdb80a25e14d0ba3062a7f15fc3ec40ae9f25752763bc444d4fd82ec2098efd732da662a1b1c5923ec19fde432606db
+DIST totem-3.38.0.tar.xz 2235672 BLAKE2B 31a69bce69316e06b6ba1b1c98bfc5b87cae0b30e682bb1b32bbac713fb2ff262084e76c19690eb78495969a67c2be484bc45adcd1b432a3de7a33c3dc04109c SHA512 231aca873bb53f23f81a7981177761d0bf7768baa845309b0dc0821db58377d692cf7e8a65135090dac14e856aa3e1dc0c1f11c55a7b25d694822019bfa9eecf

diff --git a/media-video/totem/files/3.38.0-gst-inspect-sandbox.patch b/media-video/totem/files/3.38.0-gst-inspect-sandbox.patch
new file mode 100644
index 00000000000..ef3ea114021
--- /dev/null
+++ b/media-video/totem/files/3.38.0-gst-inspect-sandbox.patch
@@ -0,0 +1,42 @@
+From abb91b315f407b7e180bc00eb96f1cd6bb0ab25d Mon Sep 17 00:00:00 2001
+From: Gilles Dartiguelongue <eva@gentoo.org>
+Date: Thu, 7 Jun 2018 23:47:48 +0200
+Subject: [PATCH] Make gst-inspect calls optional at build-time
+
+Crashes on Gentoo due to plugins trying to access dri nodes which are sandboxed
+---
+ meson_options.txt       | 1 +
+ src/backend/meson.build | 2 ++
+ 2 files changed, 3 insertions(+)
+
+diff --git a/meson_options.txt b/meson_options.txt
+index 7070fd5d0..678b8f588 100644
+--- a/meson_options.txt
++++ b/meson_options.txt
+@@ -3,3 +3,4 @@ option('enable-python', type: 'combo', choices: ['yes', 'no', 'auto'], value: 'a
+ option('with-plugins', type: 'combo', choices: ['all', 'none', 'auto'], value: 'auto', description: 'Which Totem plugins to compile (default: auto; "all", "none" and "auto" are valid)')
+ option('enable-gtk-doc', type: 'boolean', value: false, description: 'use gtk-doc to build documentation')
+ option('profile', type: 'combo', choices: ['default', 'development'], value: 'default', description: 'Build profiles')
++option('gst-inspect', type: 'boolean', value: true, description: 'build-time test of available gstreamer plugins')
+diff --git a/src/backend/meson.build b/src/backend/meson.build
+index fbf74258b..1e025a5b9 100644
+--- a/src/backend/meson.build
++++ b/src/backend/meson.build
+@@ -1,5 +1,6 @@
+ backend_inc = include_directories('.')
+ 
++if get_option('gst-inspect')
+ gst_inspect = find_program(
+   'gst-inspect-1.0',
+   join_paths(gst_dep.get_pkgconfig_variable('toolsdir'), 'gst-inspect-1.0'),
+@@ -31,6 +32,7 @@ foreach plugin: gst_good_plugins
+   assert(r.returncode() == 0,
+          'Cannot find required GStreamer-1.0 plugin "' + plugin + '". It should be part of gst-plugins-good. Please install it.')
+ endforeach
++endif
+ 
+ sources = files(
+   'bacon-time-label.c',
+-- 
+2.26.3
+

diff --git a/media-video/totem/totem-3.38.0.ebuild b/media-video/totem/totem-3.38.0.ebuild
new file mode 100644
index 00000000000..89b5506cb67
--- /dev/null
+++ b/media-video/totem/totem-3.38.0.ebuild
@@ -0,0 +1,119 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{7..9} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit gnome.org gnome2-utils meson virtualx xdg python-single-r1
+
+DESCRIPTION="Media player for GNOME"
+HOMEPAGE="https://wiki.gnome.org/Apps/Videos"
+
+LICENSE="GPL-2+ LGPL-2+"
+SLOT="0"
+IUSE="gtk-doc +python test"
+# see bug #359379
+REQUIRED_USE="
+	python? ( ${PYTHON_REQUIRED_USE} )
+"
+RESTRICT="!test? ( test )"
+
+KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~x86"
+
+DEPEND="
+	>=dev-libs/glib-2.56.0:2
+	>=x11-libs/gtk+-3.19.4:3[introspection]
+	>=media-libs/gstreamer-1.6.0:1.0
+	>=media-libs/gst-plugins-base-1.6.0:1.0[pango]
+	>=media-libs/gst-plugins-good-1.6.0:1.0
+	>=media-libs/grilo-0.3.0:0.3[playlist]
+	>=dev-libs/libpeas-1.1.0[gtk]
+	>=dev-libs/totem-pl-parser-3.26.5:0=[introspection]
+	>=media-libs/clutter-1.17.3:1.0[gtk]
+	>=media-libs/clutter-gst-2.99.2:3.0
+	>=media-libs/clutter-gtk-1.8.1:1.0
+	gnome-base/gnome-desktop:3=
+	gnome-base/gsettings-desktop-schemas
+	>=x11-libs/cairo-1.14
+	x11-libs/gdk-pixbuf:2
+	>=dev-libs/gobject-introspection-1.54:=
+
+	python? (
+		${PYTHON_DEPS}
+		$(python_gen_cond_dep '
+			>=dev-python/pygobject-2.90.3:3[${PYTHON_MULTI_USEDEP}]
+		')
+	)
+"
+RDEPEND="${DEPEND}
+	media-plugins/grilo-plugins:0.3
+	media-plugins/gst-plugins-meta:1.0
+	media-plugins/gst-plugins-taglib:1.0
+	x11-themes/adwaita-icon-theme
+	python? (
+		x11-libs/pango[introspection]
+		>=dev-libs/libpeas-1.1.0[python,${PYTHON_SINGLE_USEDEP}]
+		$(python_gen_cond_dep '
+			dev-python/dbus-python[${PYTHON_MULTI_USEDEP}]
+		')
+	)
+"
+BDEPEND="
+	dev-lang/perl
+	gtk-doc? ( >=dev-util/gtk-doc-1.14
+		app-text/docbook-xml-dtd:4.5 )
+	dev-util/glib-utils
+	dev-util/itstool
+	>=sys-devel/gettext-0.19.8
+	virtual/pkgconfig
+	x11-base/xorg-proto
+"
+# perl for pod2man
+# Prevent dev-python/pylint dep, bug #482538
+
+PATCHES=(
+	"${FILESDIR}"/${PV}-gst-inspect-sandbox.patch # Allow disabling calls to gst-inspect (sandbox issue)
+)
+
+pkg_setup() {
+	use python && python-single-r1_pkg_setup
+}
+
+src_prepare() {
+	# Drop pointless samplepython plugin from build
+	sed -e '/samplepython/d' -i src/plugins/meson.build || die
+	xdg_src_prepare
+}
+
+src_configure() {
+	local emesonargs=(
+		-Denable-easy-codec-installation=yes
+		-Denable-python=$(usex python yes no)
+		-Dwith-plugins=all # in 3.34.1 only builtin and python plugins are left, and python is extra controlled by enable-python
+		$(meson_use gtk-doc enable-gtk-doc)
+		-Dgst-inspect=false
+	)
+	meson_src_configure
+}
+
+src_install() {
+	meson_src_install
+	if use python ; then
+		python_optimize "${ED}"/usr/$(get_libdir)/totem/plugins/
+	fi
+}
+
+pkg_postinst() {
+	xdg_pkg_postinst
+	gnome2_schemas_update
+}
+
+pkg_postrm() {
+	xdg_pkg_postrm
+	gnome2_schemas_update
+}
+
+src_test() {
+	virtx meson_src_test
+}


^ permalink raw reply related	[flat|nested] 5+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: media-video/totem/, media-video/totem/files/
@ 2022-09-30 19:09 Matt Turner
  0 siblings, 0 replies; 5+ messages in thread
From: Matt Turner @ 2022-09-30 19:09 UTC (permalink / raw
  To: gentoo-commits

commit:     589176e316d803ef69d4d3712129c9e8ecbdf0f6
Author:     brahmajit das <listout <AT> protonmail <DOT> com>
AuthorDate: Sat Sep 17 20:52:01 2022 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Fri Sep 30 19:05:48 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=589176e3

media-video/totem: Version bump to 43.0

Closes: https://github.com/gentoo/gentoo/pull/27311
Signed-off-by: brahmajit das <listout <AT> protonmail.com>
Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 media-video/totem/Manifest                         |   1 +
 .../totem/files/43.0-gst-inspect-sandbox.patch     |  30 +++++
 media-video/totem/totem-43.0.ebuild                | 128 +++++++++++++++++++++
 3 files changed, 159 insertions(+)

diff --git a/media-video/totem/Manifest b/media-video/totem/Manifest
index 08aa7abe8948..9098875f44d7 100644
--- a/media-video/totem/Manifest
+++ b/media-video/totem/Manifest
@@ -1 +1,2 @@
 DIST totem-42.0.tar.xz 2476952 BLAKE2B 45eac2e586c3c17eab9f570812ae2c79812859635d1ef6df1d0d2c526436558dbab9581699ce86d3e2cd3048f5d65bbd1927c3faa5f7575a5468d0813ce68bcc SHA512 67872d06a7d691a23b97255c5ee5f8d90a1fdf2b36f064f26c10fb4958733772eea456aab4f0fe2c89d23ec987cf5b9c2383c97ba5bec45247953296f1cd6c4b
+DIST totem-43.0.tar.xz 2486304 BLAKE2B 3b43ad2cbf40472bff3b7369001b9b7784ef52244812d9aae493fffa99982a8f24770d0f5063f0b1f1fd320d6b2cec5e702ded9ccfaece51f7bdf9d862b96230 SHA512 b35d32ebadf4b9900ab234f07f8a7128edbc15593e1447c22f3c7a653fcbd4a2df9d45484e2decce5dd5ab67849fca1003a1ded338a0af0930b6560ee4f764ae

diff --git a/media-video/totem/files/43.0-gst-inspect-sandbox.patch b/media-video/totem/files/43.0-gst-inspect-sandbox.patch
new file mode 100644
index 000000000000..6b545ebcdf8f
--- /dev/null
+++ b/media-video/totem/files/43.0-gst-inspect-sandbox.patch
@@ -0,0 +1,30 @@
+# From abb91b315f407b7e180bc00eb96f1cd6bb0ab25d Mon Sep 17 00:00:00 2001
+# From: Gilles Dartiguelongue <eva@gentoo.org>
+# Date: Thu, 7 Jun 2018 23:47:48 +0200
+# Subject: [PATCH] Make gst-inspect calls optional at build-time
+#
+# Crashes on Gentoo due to plugins trying to access dri nodes which are sandboxed
+--- a/meson_options.txt
++++ b/meson_options.txt
+@@ -6,3 +6,4 @@ option('with-plugins', type: 'combo', choices: ['all', 'none', 'auto'], value: '
+ option('enable-gtk-doc', type: 'boolean', value: false, description: 'use gtk-doc to build documentation')
+ option('profile', type: 'combo', choices: ['default', 'development'], value: 'default', description: 'Build profiles')
+ option('inspector-page', type:'boolean', value: false, description: 'Whether to build the optional GTK inspector page')
++option('gst-inspect', type: 'boolean', value: true, description: 'build-time test of available gstreamer plugins')
+--- a/src/backend/meson.build
++++ b/src/backend/meson.build
+@@ -1,5 +1,6 @@
+ backend_inc = include_directories('.')
+
++if get_option('gst-inspect')
+ gst_inspect = find_program(
+   'gst-inspect-1.0',
+   join_paths(gst_dep.get_pkgconfig_variable('toolsdir'), 'gst-inspect-1.0'),
+@@ -32,6 +33,7 @@ foreach plugin: gst_good_plugins
+   assert(r.returncode() == 0,
+          'Cannot find required GStreamer-1.0 plugin "' + plugin + '". It should be part of gst-plugins-good. Please install it.')
+ endforeach
++endif
+
+ sources = files(
+   'bacon-time-label.c',

diff --git a/media-video/totem/totem-43.0.ebuild b/media-video/totem/totem-43.0.ebuild
new file mode 100644
index 000000000000..5786f84eb326
--- /dev/null
+++ b/media-video/totem/totem-43.0.ebuild
@@ -0,0 +1,128 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+PYTHON_COMPAT=( python3_{8..11} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit gnome.org gnome2-utils meson virtualx xdg python-single-r1
+
+DESCRIPTION="Media player for GNOME"
+HOMEPAGE="https://wiki.gnome.org/Apps/Videos https://gitlab.gnome.org/GNOME/totem/"
+
+LICENSE="GPL-2+ LGPL-2+"
+SLOT="0"
+IUSE="gtk-doc +python test"
+# see bug #359379
+REQUIRED_USE="
+	python? ( ${PYTHON_REQUIRED_USE} )
+"
+RESTRICT="!test? ( test )"
+
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+
+COMMON_DEPEND="
+	>=dev-libs/glib-2.72.0:2
+	>=x11-libs/gtk+-3.22.0:3[introspection]
+	>=gui-libs/libhandy-1.5.0:1
+	>=media-libs/gstreamer-1.6.0:1.0
+	>=media-libs/gst-plugins-base-1.6.0:1.0[pango]
+	>=media-libs/gst-plugins-good-1.6.0:1.0
+	>=media-libs/grilo-0.3.0:0.3[playlist]
+	>=dev-libs/libpeas-1.1.0[gtk]
+	>=dev-libs/totem-pl-parser-3.26.5:0=[introspection]
+	gnome-base/gnome-desktop:3=
+	gnome-base/gsettings-desktop-schemas
+	>=x11-libs/cairo-1.14
+	x11-libs/gdk-pixbuf:2
+	>=dev-libs/gobject-introspection-1.54:=
+
+	python? (
+		${PYTHON_DEPS}
+		$(python_gen_cond_dep '
+			>=dev-python/pygobject-2.90.3:3[${PYTHON_USEDEP}]
+		')
+	)
+"
+RDEPEND="${COMMON_DEPEND}
+	media-plugins/grilo-plugins:0.3
+	media-plugins/gst-plugins-gtk:1.0[opengl]
+	media-plugins/gst-plugins-meta:1.0
+	media-plugins/gst-plugins-taglib:1.0
+	x11-themes/adwaita-icon-theme
+	dev-libs/libportal:0=[gtk]
+	python? (
+		x11-libs/pango[introspection]
+		>=dev-libs/libpeas-1.1.0[python,${PYTHON_SINGLE_USEDEP}]
+		$(python_gen_cond_dep '
+			dev-python/dbus-python[${PYTHON_USEDEP}]
+		')
+	)
+"
+DEPEND="${COMMON_DEPEND}
+	x11-base/xorg-proto
+"
+BDEPEND="
+	dev-lang/perl
+	gtk-doc? ( >=dev-util/gtk-doc-1.14
+		app-text/docbook-xml-dtd:4.5 )
+	dev-util/glib-utils
+	dev-util/itstool
+	>=sys-devel/gettext-0.19.8
+	virtual/pkgconfig
+"
+# perl for pod2man
+# Prevent dev-python/pylint dep, bug #482538
+
+PATCHES=(
+	"${FILESDIR}"/${PV}-gst-inspect-sandbox.patch # Allow disabling calls to gst-inspect (sandbox issue)
+)
+
+pkg_setup() {
+	use python && python-single-r1_pkg_setup
+}
+
+src_prepare() {
+	default
+	xdg_environment_reset
+
+	# Drop pointless samplepython plugin from build
+	sed -e '/samplepython/d' -i src/plugins/meson.build || die
+}
+
+src_configure() {
+	local emesonargs=(
+		-Dhelp=true
+		-Denable-easy-codec-installation=yes
+		-Denable-python=$(usex python yes no)
+		-Dlibportal=enabled
+		-Dwith-plugins=all # in 3.34.1 only builtin and python plugins are left, and python is extra controlled by enable-python
+		$(meson_use gtk-doc enable-gtk-doc)
+		-Dprofile=default
+		-Dinspector-page=false
+		-Dgst-inspect=false
+	)
+	meson_src_configure
+}
+
+src_install() {
+	local -x GST_PLUGIN_SYSTEM_PATH_1_0= # bug 812170
+	meson_src_install
+	if use python ; then
+		python_optimize "${ED}"/usr/$(get_libdir)/totem/plugins/
+	fi
+}
+
+pkg_postinst() {
+	xdg_pkg_postinst
+	gnome2_schemas_update
+}
+
+pkg_postrm() {
+	xdg_pkg_postrm
+	gnome2_schemas_update
+}
+
+src_test() {
+	virtx meson_src_test
+}


^ permalink raw reply related	[flat|nested] 5+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: media-video/totem/, media-video/totem/files/
@ 2024-11-08 16:32 Pacho Ramos
  0 siblings, 0 replies; 5+ messages in thread
From: Pacho Ramos @ 2024-11-08 16:32 UTC (permalink / raw
  To: gentoo-commits

commit:     a8ddd723dc321970484801df8b7977ab9989ddca
Author:     Guillermo Joandet <gjoandet <AT> gmail <DOT> com>
AuthorDate: Thu Oct 24 15:30:05 2024 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Fri Nov  8 16:32:11 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a8ddd723

media-video/totem: Bump to 43.1

Signed-off-by: Guillermo Joandet <gjoandet <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/39099
Signed-off-by: Pacho Ramos <pacho <AT> gentoo.org>

 media-video/totem/Manifest                         |   1 +
 .../totem/files/43.1-gst-inspect-sandbox.patch     |  31 +++++
 media-video/totem/files/b                          |  17 +++
 media-video/totem/totem-43.1.ebuild                | 127 +++++++++++++++++++++
 4 files changed, 176 insertions(+)

diff --git a/media-video/totem/Manifest b/media-video/totem/Manifest
index c6fb95cdb95b..cce8a193171d 100644
--- a/media-video/totem/Manifest
+++ b/media-video/totem/Manifest
@@ -1 +1,2 @@
 DIST totem-43.0.tar.xz 2486304 BLAKE2B 3b43ad2cbf40472bff3b7369001b9b7784ef52244812d9aae493fffa99982a8f24770d0f5063f0b1f1fd320d6b2cec5e702ded9ccfaece51f7bdf9d862b96230 SHA512 b35d32ebadf4b9900ab234f07f8a7128edbc15593e1447c22f3c7a653fcbd4a2df9d45484e2decce5dd5ab67849fca1003a1ded338a0af0930b6560ee4f764ae
+DIST totem-43.1.tar.xz 2545240 BLAKE2B 922991006540e04b6919e9d455e123f563703c0ef04575b7610b6a0369d4e7fd8583cc5e87f313e3c137d5231c9c598fa197c6d89ef2ffd3a334c3486f417148 SHA512 1cd6ccea8a6e379095d1974b095aa29d7c7d800028704d680300dffc4c69a8d60397cab10996ab1c2e8075be5f7ddbce1aa5207d63b1088d23a42d9cd597730f

diff --git a/media-video/totem/files/43.1-gst-inspect-sandbox.patch b/media-video/totem/files/43.1-gst-inspect-sandbox.patch
new file mode 100644
index 000000000000..12fcc7438001
--- /dev/null
+++ b/media-video/totem/files/43.1-gst-inspect-sandbox.patch
@@ -0,0 +1,31 @@
+# From abb91b315f407b7e180bc00eb96f1cd6bb0ab25d Mon Sep 17 00:00:00 2001
+# From: Gilles Dartiguelongue <eva@gentoo.org>
+# Date: Thu, 7 Jun 2018 23:47:48 +0200
+# Subject: [PATCH] Make gst-inspect calls optional at build-time
+#
+# Crashes on Gentoo due to plugins trying to access dri nodes which are sandboxed
+--- a/meson_options.txt	2024-10-22 13:04:07.000000000 -0300
++++ b/meson_options.txt	2024-10-24 12:18:11.291930982 -0300
+@@ -6,4 +6,5 @@
+ option('enable-gtk-doc', type: 'boolean', value: false, description: 'use gtk-doc to build documentation')
+ option('profile', type: 'combo', choices: ['default', 'development'], value: 'default', description: 'Build profiles')
+ option('inspector-page', type:'boolean', value: false, description: 'Whether to build the optional GTK inspector page')
++option('gst-inspect', type: 'boolean', value: true, description: 'build-time test of available gstreamer plugins')
+ option('ui-tests', type:'boolean', value: true, description: 'Whether to run tests that require a display')
+--- a/src/backend/meson.build	2024-10-22 13:04:07.000000000 -0300
++++ b/src/backend/meson.build	2024-10-24 12:25:43.591062855 -0300
+@@ -1,5 +1,6 @@
+ backend_inc = include_directories('.')
+ 
++if get_option('gst-inspect')
+ gst_inspect = find_program(
+   'gst-inspect-1.0',
+   join_paths(gst_dep.get_pkgconfig_variable('toolsdir'), 'gst-inspect-1.0'),
+@@ -32,6 +33,7 @@
+   assert(r.returncode() == 0,
+          'Cannot find required GStreamer-1.0 plugin "' + plugin + '". It should be part of gst-plugins-good. Please install it.')
+ endforeach
++endif
+ 
+ sources = files(
+   'bacon-time-label.c',

diff --git a/media-video/totem/files/b b/media-video/totem/files/b
new file mode 100644
index 000000000000..05de6a6f614e
--- /dev/null
+++ b/media-video/totem/files/b
@@ -0,0 +1,17 @@
+--- /var/tmp/portage/media-video/totem-43.1/work/totem-43.1/src/backend/meson.build	2024-10-22 13:04:07.000000000 -0300
++++ /tmp/meson.build	2024-10-24 12:25:43.591062855 -0300
+@@ -1,5 +1,6 @@
+ backend_inc = include_directories('.')
+ 
++if get_option('gst-inspect')
+ gst_inspect = find_program(
+   'gst-inspect-1.0',
+   join_paths(gst_dep.get_pkgconfig_variable('toolsdir'), 'gst-inspect-1.0'),
+@@ -32,6 +33,7 @@
+   assert(r.returncode() == 0,
+          'Cannot find required GStreamer-1.0 plugin "' + plugin + '". It should be part of gst-plugins-good. Please install it.')
+ endforeach
++endif
+ 
+ sources = files(
+   'bacon-time-label.c',

diff --git a/media-video/totem/totem-43.1.ebuild b/media-video/totem/totem-43.1.ebuild
new file mode 100644
index 000000000000..176491f25136
--- /dev/null
+++ b/media-video/totem/totem-43.1.ebuild
@@ -0,0 +1,127 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+PYTHON_COMPAT=( python3_{10..12} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit gnome.org gnome2-utils meson virtualx xdg python-single-r1
+
+DESCRIPTION="Media player for GNOME"
+HOMEPAGE="https://apps.gnome.org/Totem/ https://gitlab.gnome.org/GNOME/totem/"
+
+LICENSE="GPL-2+ LGPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~x86"
+IUSE="gtk-doc +python test"
+# see bug #359379
+REQUIRED_USE="
+	python? ( ${PYTHON_REQUIRED_USE} )
+"
+RESTRICT="!test? ( test )"
+
+COMMON_DEPEND="
+	>=dev-libs/glib-2.72.0:2
+	>=x11-libs/gtk+-3.22.0:3[introspection]
+	>=gui-libs/libhandy-1.5.0:1
+	>=media-libs/gstreamer-1.6.0:1.0
+	>=media-libs/gst-plugins-base-1.6.0:1.0[pango]
+	>=media-libs/gst-plugins-good-1.6.0:1.0
+	>=media-libs/grilo-0.3.0:0.3[playlist]
+	>=dev-libs/libpeas-1.1.0:0[gtk]
+	>=dev-libs/totem-pl-parser-3.26.5:0=[introspection]
+	gnome-base/gnome-desktop:3=
+	gnome-base/gsettings-desktop-schemas
+	>=x11-libs/cairo-1.14
+	x11-libs/gdk-pixbuf:2
+	>=dev-libs/gobject-introspection-1.54:=
+
+	python? (
+		${PYTHON_DEPS}
+		$(python_gen_cond_dep '
+			>=dev-python/pygobject-2.90.3:3[${PYTHON_USEDEP}]
+		')
+	)
+"
+RDEPEND="${COMMON_DEPEND}
+	media-plugins/grilo-plugins:0.3
+	media-plugins/gst-plugins-gtk:1.0[opengl]
+	media-plugins/gst-plugins-meta:1.0
+	media-plugins/gst-plugins-taglib:1.0
+	x11-themes/adwaita-icon-theme
+	dev-libs/libportal:0=[gtk]
+	python? (
+		x11-libs/pango[introspection]
+		>=dev-libs/libpeas-1.1.0:0[python,${PYTHON_SINGLE_USEDEP}]
+		$(python_gen_cond_dep '
+			dev-python/dbus-python[${PYTHON_USEDEP}]
+		')
+	)
+"
+DEPEND="${COMMON_DEPEND}
+	x11-base/xorg-proto
+"
+BDEPEND="
+	dev-lang/perl
+	gtk-doc? ( >=dev-util/gtk-doc-1.14
+		app-text/docbook-xml-dtd:4.5 )
+	dev-util/glib-utils
+	dev-util/itstool
+	>=sys-devel/gettext-0.19.8
+	virtual/pkgconfig
+"
+# perl for pod2man
+# Prevent dev-python/pylint dep, bug #482538
+
+PATCHES=(
+	"${FILESDIR}"/"${PV}"-gst-inspect-sandbox.patch # Allow disabling calls to gst-inspect (sandbox issue)
+)
+
+pkg_setup() {
+	use python && python-single-r1_pkg_setup
+}
+
+src_prepare() {
+	default
+	xdg_environment_reset
+
+	# Drop pointless samplepython plugin from build
+	sed -e '/samplepython/d' -i src/plugins/meson.build || die
+}
+
+src_configure() {
+	local emesonargs=(
+		-Dhelp=true
+		-Denable-easy-codec-installation=yes
+		-Denable-python=$(usex python yes no)
+		-Dlibportal=enabled
+		-Dwith-plugins=all # in 3.34.1 only builtin and python plugins are left, and python is extra controlled by enable-python
+		$(meson_use gtk-doc enable-gtk-doc)
+		-Dprofile=default
+		-Dinspector-page=false
+		-Dgst-inspect=false
+	)
+	meson_src_configure
+}
+
+src_install() {
+	local -x GST_PLUGIN_SYSTEM_PATH_1_0= # bug 812170
+	meson_src_install
+	if use python ; then
+		python_optimize "${ED}"/usr/$(get_libdir)/totem/plugins/
+	fi
+}
+
+pkg_postinst() {
+	xdg_pkg_postinst
+	gnome2_schemas_update
+}
+
+pkg_postrm() {
+	xdg_pkg_postrm
+	gnome2_schemas_update
+}
+
+src_test() {
+	virtx meson_src_test
+}


^ permalink raw reply related	[flat|nested] 5+ messages in thread

end of thread, other threads:[~2024-11-08 16:32 UTC | newest]

Thread overview: 5+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2024-11-08 16:32 [gentoo-commits] repo/gentoo:master commit in: media-video/totem/, media-video/totem/files/ Pacho Ramos
  -- strict thread matches above, loose matches on Subject: below --
2022-09-30 19:09 Matt Turner
2021-04-16 16:58 Matt Turner
2019-12-23 22:23 Mart Raudsepp
2019-07-15  0:36 Sobhan Mohammadpour

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox